{include file='modules/servers/puqBusinessVPN/templates/header.tpl'}
<h2>{$vpn->lang['Add VPN account']}</h2>
<form method="post" action="/clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=add_vpn_account">

    <div class="row">
        <div class="col-md-12">
            <table class="table table-list dataTable no-footer" style="table-layout: fixed;">
                <tr>
                    <td><i class="fa fa-user"></i>&nbsp;&nbsp;<b>{$vpn->lang['Username']}:</b></td>
                    <td>
                        <div class="input-group margin-bottom-5">
                            <span class="input-group-btn input-group-append">
                                <label class="form-control" style="border-top-right-radius:0; border-bottom-right-radius:0;padding-right: 1px;">{$vpn->service_username}-</label>
                            </span>
                            <input id="username" type="text" name="username" class="form-control" placeholder="{$vpn->lang['Enter username']}" /required >
                        </div>
                    </td>
                </tr>
                <tr>
                    <td><i class="fa fa-lock"></i>&nbsp;&nbsp;<b>{$vpn->lang['Password']}:</b></td>
                    <td>
                        <div class="input-group margin-bottom-5">
                            <input class="form-control" type="text" name="password" id="password" placeholder="{$vpn->lang['Enter password']}"/required>
                            <button type="button" id="input-generate" class="btn btn-primary"><i class="fa fa-dice">&nbsp;&nbsp;</i>{$vpn->lang['Generate']}</button>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td><i class="fa fa-address-book"></i>&nbsp;&nbsp;<b>{$vpn->lang['IP address']}:</b></td>
                    <td>
                        <select id="ip_address" name="ip_address" class="form-control custom-select">
                            {foreach from=$vpn->service_private_ip_range key=key item=value}
                                {if $key ne '0'}
                                    <option value="{$value}">{$value}</option>
                                {/if}
                            {/foreach}
                        </select>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td><button onclick="return AddVpnAccount();" type="submit" class="btn btn-success" name="add_vpn_account" value="add_vpn_account"><i class="fa fa-user-plus">&nbsp;&nbsp;</i>{$vpn->lang['Add VPN account']}</button></td>
                </tr>
            </table>
        </div>
    </div>
</form>


<script>
    $("#input-generate").click(function(){
        $("#password").val(generatePassword());
        return false;
    });

    function generatePassword(){
        var length = 12,
            charset = "123456789ABCDEFGHJKMNPQRSTUVWXYZabcdefghjkmnpqrstuvwxyz";
        if(window.crypto && window.crypto.getRandomValues) {
            return Array(length)
                .fill(charset)
                .map(x => x[Math.floor(crypto.getRandomValues(new Uint32Array(1))[0] / (0xffffffff + 1) * (x.length + 1))])
                .join('');
        } else {
            res = '';
            for (var i = 0, n = charset.length; i < length; ++i) {
                res += charset.charAt(Math.floor(Math.random() * n));
            }
            return res;
        }
    }
</script>
<script type="text/javascript">

    function AddVpnAccount() {
        var username = document.getElementById('username').value;
        var password = document.getElementById('password').value;
        var ip_address = document.getElementById('ip_address').value;

        if(username === '' || password === '' || ip_address === ''){
            return true
        }else{
            loading();
            return true
        }
    }
</script>
