{include file='modules/servers/puqBusinessVPN/templates/header.tpl'}
<h2>{$vpn->lang['Edit VPN account']}</h2>
<form method="post" action="/clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=edit_vpn_account&name={$user['name']}">

    <div class="row">
        <div class="col-md-12">
            <table class="table table-list dataTable no-footer" style="table-layout: fixed;">
                <tr>
                    <td><i class="fa fa-user"></i>&nbsp;&nbsp;<b>{$vpn->lang['Username']}:</b></td>
                    <td>
                        <input id="username" type="text" name="username" class="form-control" value="{$user['name']}" readonly>
        </div>
        </td>
        </tr>
        <tr>
            <td><i class="fa fa-lock"></i>&nbsp;&nbsp;<b>{$vpn->lang['Password']}:</b></td>
            <td>
                <div class="input-group margin-bottom-5">
                    <input id="password" class="form-control" type="text" name="password" value="{$user['password']}"/required>
                    <button type="button" id="input-generate" class="btn btn-primary"><i class="fa fa-dice">&nbsp;&nbsp;</i>{$vpn->lang['Generate']}</button>
                </div>
            </td>
        </tr>
        <tr>
            <td><i class="fa fa-address-book"></i>&nbsp;&nbsp;<b>{$vpn->lang['IP address']}:</b></td>
            <td>
                <select id="ip_address" name="ip_address" class="form-control custom-select">
                    <option value="{$user['remote-address']}" selected>{$user['remote-address']}</option>

                    {foreach from=$vpn->service_private_ip_range key=key item=value}
                        {if $key ne '0'}
                            <option value="{$value}">{$value}</option>
                        {/if}
                    {/foreach}
                </select>
            </td>
        </tr>
        <tr>
            <td>
                <b><i class="fa fa-toggle-on"></i>&nbsp;&nbsp;{$vpn->lang['Enabled']}:</b>
            </td>
            <td>
                {if $user['disabled'] eq 'true'}
                    <input type="checkbox" name="enabled" value="off">
                {else}
                    <input type="checkbox" name="enabled" value="on" checked="checked">
                {/if}
            </td>
        </tr>

        <tr>
            <td><button onclick="return DeleteVpnAccount();" type="submit" class="btn btn-danger" name="delete_vpn_account" value="delete_vpn_account"><i class="fa fa-times">&nbsp;&nbsp;</i>{$vpn->lang['Delete']}</button></td>
            <td><button onclick="return EditVpnAccount();" type="submit" class="btn btn-success" name="edit_vpn_account" value="edit_vpn_account"><i class="fa fa-pencil">&nbsp;&nbsp;</i>{$vpn->lang['Save']}</button></td>
        </tr>
        </table>
    </div>
    </div>
</form>



<script>
    $("#input-generate").click(function(){
        $("#password").val(generatePassword());
        return false;
    });

    function generatePassword(){
        var length = 12,
            charset = "123456789ABCDEFGHJKMNPQRSTUVWXYZabcdefghjkmnpqrstuvwxyz";
        if(window.crypto && window.crypto.getRandomValues) {
            return Array(length)
                .fill(charset)
                .map(x => x[Math.floor(crypto.getRandomValues(new Uint32Array(1))[0] / (0xffffffff + 1) * (x.length + 1))])
                .join('');
        } else {
            res = '';
            for (var i = 0, n = charset.length; i < length; ++i) {
                res += charset.charAt(Math.floor(Math.random() * n));
            }
            return res;
        }
    }
</script>
<script type="text/javascript">
    function DeleteVpnAccount() {
        var username = document.getElementById('username').value;
        if(username === ''){
            return true;
        }
        result = confirm('{$kvm->lang['Are you sure?']}');
        if (result) {
            loading();
            return true
        }else {
            return false;
        }
    }

    function EditVpnAccount() {
        var username = document.getElementById('username').value;
        var password = document.getElementById('password').value;
        var ip_address = document.getElementById('ip_address').value;

        if(username === '' || password === '' || ip_address === ''){
            return true
        }else{
            loading();
            return true
        }
    }
</script>
